#### Description:

This function deletes an Object, freeing all resources associated with it and rendering any remaining pointers to the Object invalid.

Note that deletion is unconditional, regardless of whether other pointers to the Object are still in use (possibly within other Objects). A safer approach is to defer deletion, until all references to an Object have expired, by using astBegin/astEnd (together with astClone and astAnnul if necessary).

#### Synopsis

AstObject ∗astDelete( AstObject ∗this )

#### Parameters:

##### this

Pointer to the Object to be deleted.

#### Applicability

##### Object

This function applies to all Objects.

#### Returned Value

##### astDelete()

A null Object pointer (AST__NULL) is always returned.

#### Notes:

- This function attempts to execute even if the AST error status is set on entry, although no further error report will be made if it subsequently fails under these circumstances.

Copyright (C) 2021 East Asian Observatory